Bug 305581 - Review Request: bluecurve-kde-theme - Bluecurve KDE theme
Summary: Review Request: bluecurve-kde-theme - Bluecurve KDE theme
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ArtworkSplit 305591
TreeView+ depends on / blocked
 
Reported: 2007-09-25 17:12 UTC by Ray Strode [halfline]
Modified: 2007-11-30 22:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 15:56:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+
notting: fedora-cvs+


Attachments (Terms of Use)

Description Ray Strode [halfline] 2007-09-25 17:12:42 UTC
Spec URL:
http://rstrode.fedorapeople.org/bluecurve-kde-theme/checkout/bluecurve-kde-theme.spec

SRPM URL:
http://rstrode.fedorapeople.org/bluecurve-kde-theme/checkout/bluecurve-kde-theme-1.0.0-1.fc8.src.rpm

Description:
This package contains a kde theme that uses the qt bluecurve engine.

Comment 1 Matthias Clasen 2007-09-26 03:21:46 UTC
rpmlint output:
[mclasen@localhost Desktop]$ rpmlint
/var/lib/mock/fedora-development-i386/result/bluecurve-kde-theme-1.0.0-1.fc8.noarch.rpm

bluecurve-kde-theme.noarch: W: invalid-license GPL

package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: invalid
license file: must be included
spec language: English
spec legibility: good
upstream sources: no upstream yet
buildable: ok
ExcludeArch: n/a
BRs: must BR kdebase-devel
locales: ok
shaerd libs: n/a
relocatable: n/a
directory ownership: ok
%file: ok
permissions: ok
%clean: ok
macro use: consistent
content: permissible
large docs: n/a
%doc: ok
headers: n/a
static libs: n/a
pc files: n/a
shared libs: n/a
devel package: n/a
libtool archives: ok
gui apps: n/a
directory ownership: ok
%install: ok
utf8 filename: ok

Further comment: 
Should capitalize bluecurve in the description

Comment 2 Ray Strode [halfline] 2007-09-26 03:54:33 UTC
why do I need to BuildRequires: kdebase-devel ?

It's a noarch package.

Comment 3 Rex Dieter 2007-09-26 04:03:19 UTC
Maybe he assumed (like me) that this contained the Bluecurve kde widget style as
well.  :)

Comment 4 Rex Dieter 2007-09-26 04:03:49 UTC
That's in bluecurve-qt-engine then?

Comment 5 Ray Strode [halfline] 2007-09-26 04:08:15 UTC
Yup.  I invented that name, so if you think it should be called
bluecurve-kde-engine, or if the two packages should be merged into one
bluecurve-kde-theme, just let me know.

Comment 6 Kevin Kofler 2007-09-26 11:19:14 UTC
Where's the KWin theme?

Comment 7 Ray Strode [halfline] 2007-09-26 13:34:19 UTC
It's here: http://rstrode.fedorapeople.org/bluecurve-kwin-theme/checkout/

I apparently didn't file a review request for it.  Will do so now (and double
check that I didn't miss any others)

Comment 8 Matthias Clasen 2007-09-26 16:01:18 UTC
It needs kdebase-devel because configure complains if it is not there...
Just mock-build it and see.

Comment 9 Ray Strode [halfline] 2007-09-26 21:06:41 UTC
that's because configure has:

KDE_SET_PREFIX
KDE_CHECK_FINAL
KDE_USE_QT
AC_PATH_KDE

to pull in $(kde_datadir)

I don't know what those macros, I just copied it verbatim from redhat-artwork. 
For now i'll add the BuildRequires, but we might be able to trim that and drop
the BuildReq

Comment 10 Ray Strode [halfline] 2007-09-26 21:07:28 UTC
or if we merge this with bluecurve-qt-engine, then this issue becomes moot.  I'm
still curious for opinions on that.

Comment 11 Matthias Clasen 2007-09-27 18:27:21 UTC
I don't have an opinion on that.

Comment 12 Rex Dieter 2007-09-27 20:06:42 UTC
Either way works, but it seems a wee bit silly to me for bluecurve-kde-theme to
include only 2 text config files... so, slight preference to merging
bluecurve-qt-engine here.


Comment 13 Ray Strode [halfline] 2007-09-27 20:39:02 UTC
works for me, i'll make that change

Comment 14 Ray Strode [halfline] 2007-09-28 21:30:34 UTC
okay i've integrated the two now

Comment 15 Ray Strode [halfline] 2007-10-01 18:32:32 UTC
look good?

Comment 16 Matthias Clasen 2007-10-01 19:57:00 UTC
Looks good to me. Approved.

Comment 17 Kevin Kofler 2007-10-02 19:04:47 UTC
Not so quick... The license tag must be fixed here, it says "GPL+", but 
bluecurve.cpp actually specified version 2.

Comment 18 Ray Strode [halfline] 2007-10-02 19:40:44 UTC
updated to GPLv2

I think almost all the code copyright Red Hat, Inc. anyhow, so it probably
doesn't really matter, but good to pick what works and be consistent.

Comment 19 Ray Strode [halfline] 2007-10-09 16:01:30 UTC
New Package CVS Request
=======================
Package Name: bluecurve-kde-theme
Short Description: Bluecurve-kde-theme
Owners: rstrode,davidz,than,rdieter,kkofler
Branches:
InitialCC:
Cvsextras Commits: no

Comment 20 Bill Nottingham 2007-10-09 21:32:25 UTC
done


Note You need to log in before you can comment on or make changes to this bug.